package jp.co.sds_corp.util.config;

import org.w3c.dom.Attr;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import org.w3c.dom.TypeInfo;

/**
 * Elementクラス
 */
public class ConfigurationElement extends ConfigurationNode implements Element
{
	Element element;

	protected ConfigurationElement( Element element, ConfigurationNode parent )
	{
		super( element, parent );
		this.element = element;
	}

	@Override
	public String getAttribute(String name) {
		return element.getAttribute(name);
	}
	@Override
	public Attr getAttributeNode(String name) {
		return element.getAttributeNode(name);
	}
	@Override
	public Attr getAttributeNodeNS(String namespaceURI, String localName) {
		return element.getAttributeNodeNS(namespaceURI, localName);
	}
	@Override
	public String getAttributeNS(String namespaceURI, String localName) {
		return element.getAttributeNS(namespaceURI, localName);
	}
	@Override
	public NodeList getElementsByTagName(String name) {
		return element.getElementsByTagName(name);
	}
	@Override
	public NodeList getElementsByTagNameNS(String namespaceURI, String localName) {
		return element.getElementsByTagNameNS(namespaceURI, localName);
	}
	@Override
	public TypeInfo getSchemaTypeInfo() {
		return element.getSchemaTypeInfo();
	}
	@Override
	public String getTagName() {
		return element.getTagName();
	}
	@Override
	public boolean hasAttribute(String name) {
		return element.hasAttribute(name);
	}
	@Override
	public boolean hasAttributeNS(String namespaceURI, String localName) {
		return element.hasAttributeNS(namespaceURI, localName);
	}
	@Override
	public void removeAttribute(String name) {
		element.removeAttribute(name);
	}
	@Override
	public Attr removeAttributeNode(Attr oldAttr) {
		return element.removeAttributeNode(oldAttr);
	}
	@Override
	public void removeAttributeNS(String namespaceURI, String localName) {
		element.removeAttributeNS(namespaceURI, localName);
	}
	@Override
	public void setAttribute(String name, String value) {
		element.setAttribute(name, value);
	}
	@Override
	public Attr setAttributeNode(Attr newAttr) {
		return element.setAttributeNode(newAttr);
	}
	@Override
	public Attr setAttributeNodeNS(Attr newAttr) {
		return element.setAttributeNodeNS(newAttr);
	}
	@Override
	public void setAttributeNS(String namespaceURI, String qualifiedName, String value) {
		element.setAttributeNS(namespaceURI, qualifiedName, value);
	}
	@Override
	public void setIdAttribute(String name, boolean isId) {
		element.setIdAttribute(name, isId);
	}
	@Override
	public void setIdAttributeNode(Attr idAttr, boolean isId) {
		element.setIdAttributeNode(idAttr, isId);
	}
	@Override
	public void setIdAttributeNS(String namespaceURI, String localName, boolean isId) {
		element.setIdAttributeNS(namespaceURI, localName, isId);
	}
}
