package jp.co.sds_corp.util.crypt;

import java.io.File;
import java.security.AlgorithmParameters;
import java.security.spec.KeySpec;
import javax.crypto.Cipher;
import javax.crypto.EncryptedPrivateKeyInfo;
import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.PBEKeySpec;

public class PKCS8PBECipher extends AbstractCipher implements NeedPassword
{
	PKCS8PBECipher() {
		setPrivateKey(true);
	}

	public PKCS8PBECipher(File file) {
		this();
		setFile(file);
	}

	@Override
	public KeySpec getKeySpec() throws Exception {
		byte[] buf = load();
		EncryptedPrivateKeyInfo pkInfo = new EncryptedPrivateKeyInfo(buf);
		char[] pwd = null;
		if (getPassword() != null) {
			pwd = getPassword().toCharArray();
		}
		KeySpec secretSpec = new PBEKeySpec(pwd);
		SecretKeyFactory secretFactory = SecretKeyFactory.getInstance(pkInfo.getAlgName());
		SecretKey secretKey = secretFactory.generateSecret(secretSpec);
		AlgorithmParameters params = pkInfo.getAlgParameters();

		Cipher cipher = Cipher.getInstance(pkInfo.getAlgName());
		cipher.init(Cipher.DECRYPT_MODE, secretKey, params);

		KeySpec spec = pkInfo.getKeySpec(cipher);

		return spec;
	}

}

