package	jp.co.sds_corp.util.device;

/**
* CPUの使用状況を保持します。
*/
public class CPUStatus
{
	double	userTime;
	double	systemTime;
	double	niceTime;
	double	idleTime;
	double	totalTime;	// total時間
	String	name;	// CPU名
	String	vendor;	// CPU Vendor
	String	speed;	// CPU Speed
	int	num;	// CPU数
	String	kernel;	// カーネル種別
	double	avg1min;	// 1分間のCPU使用率
	double	avg5min;	// 5分間のCPU使用率
	double	avg15min;	// 15分間のCPU使用率

	/**
	* ユーザ時間(userTime)を設定します。
	* @param	var		設定するデータ
	*/
	void setUserTime( double var ) {
		this.userTime = var;
	}
	/**
	* ユーザ時間(userTime)を取得します。
	* @return	userTimeの内容
	*/
	public double getUserTime() {
		return userTime;
	}

	/**
	* システム時間(systemTime)を設定します。
	* @param	var		設定するデータ
	*/
	void setSystemTime( double var ) {
		this.systemTime = var;
	}
	/**
	* システム時間(systemTime)を取得します。
	* @return	systemTimeの内容
	*/
	public double getSystemTime() {
		return systemTime;
	}

	/**
	* niceされたタスク時間(niceTime)を設定します。
	* @param	var		設定するデータ
	*/
	void setNiceTime( double var ) {
		this.niceTime = var;
	}
	/**
	* niceされたタスク時間(niceTime)を取得します。
	* @return	niceTimeの内容
	*/
	public double getNiceTime() {
		return niceTime;
	}

	/**
	* アイドル時間(idleTime)を設定します。
	* @param	var		設定するデータ
	*/
	void setIdleTime( double var ) {
		this.idleTime = var;
	}
	/**
	* アイドル時間(idleTime)を取得します。
	* @return	idleTimeの内容
	*/
	public double getIdleTime() {
		return idleTime;
	}

	/**
	* total時間(totalTime)を設定します。
	* @param	var		設定するデータ
	*/
	void setTotalTime( double var ) {
		this.totalTime = var;
	}
	/**
	* total時間(totalTime)を取得します。
	* @return	totalTimeの内容
	*/
	public double getTotalTime() {
		return totalTime;
	}


	/**
	* CPU名(name)を設定します。
	* @param	var		設定するデータ
	*/
	void setName( String var ) {
		this.name = var;
	}
	/**
	* CPU名(name)を取得します。
	* @return	nameの内容
	*/
	public String getName() {
		return name;
	}

	/**
	* CPU Vendor(vendor)を設定します。
	* @param	var		設定するデータ
	*/
	void setVendor( String var ) {
		this.vendor = var;
	}
	/**
	* CPU Vendor(vendor)を取得します。
	* @return	vendorの内容
	*/
	public String getVendor() {
		return vendor;
	}

	/**
	* CPU Speed(speed)を設定します。
	* @param	var		設定するデータ
	*/
	void setSpeed( String var ) {
		this.speed = var;
	}
	/**
	* CPU Speed(speed)を取得します。
	* @return	speedの内容
	*/
	public String getSpeed() {
		return speed;
	}

	/**
	* CPU数(num)を設定します。
	* @param	var		設定するデータ
	*/
	void setNum( int var ) {
		this.num = var;
	}
	/**
	* CPU数(num)を取得します。
	* @return	numの内容
	*/
	public int getNum() {
		return num;
	}

	/**
	* カーネル種別(kernel)を設定します。
	* @param	var		設定するデータ
	*/
	public void setKernel( String var ) {
		this.kernel = var;
	}
	/**
	* カーネル種別(kernel)を取得します。
	* @return	kernelの内容
	*/
	public String getKernel() {
		return kernel;
	}

	/**
	* 1分間のCPU使用率(avg1min)を設定します。
	* @param	var		設定するデータ
	*/
	void setAvg1min( double var ) {
		this.avg1min = var;
	}
	/**
	* 1分間のCPU使用率(avg1min)を取得します。
	* @return	avg1minの内容
	*/
	public double getAvg1min() {
		return avg1min;
	}

	/**
	* 5分間のCPU使用率(avg5min)を設定します。
	* @param	var		設定するデータ
	*/
	void setAvg5min( double var ) {
		this.avg5min = var;
	}
	/**
	* 5分間のCPU使用率(avg5min)を取得します。
	* @return	avg5minの内容
	*/
	public double getAvg5min() {
		return avg5min;
	}

	/**
	* 15分間のCPU使用率(avg15min)を設定します。
	* @param	var		設定するデータ
	*/
	void setAvg15min( double var ) {
		this.avg15min = var;
	}
	/**
	* 15分間のCPU使用率(avg15min)を取得します。
	* @return	avg15minの内容
	*/
	public double getAvg15min() {
		return avg15min;
	}

}
