package	jp.co.sds_corp.util.log;

import	java.util.List;
import	java.util.logging.Filter;
import	java.util.logging.LogRecord;
import	java.util.regex.Pattern;
import	java.util.regex.Matcher;

import	jp.co.sds_corp.util.config.IConfigurable;
import	jp.co.sds_corp.util.config.IConfiguration;
import	jp.co.sds_corp.util.log.ConsoleLogger;

/**
* ログメッセージを、設定された正規表現と合致するかどうかでフィルタします。
*/
public class PatternFilter implements Filter, IConfigurable
{
	ConsoleLogger console = CmnLogFactory.getConsoleLogger();
	Pattern pattern;
	boolean	exclude = false;

	public PatternFilter() {
	}

	public void init( IConfiguration config ) throws Exception {
		List<IConfiguration> list = config.listChild( "param" );
		for ( IConfiguration ele : list ) {
			String name = ele.getAttributes().get( "name" );
			String value = ele.getAttributes().get( "value" );
			if ( name == null ) {
			} else
			if ( name.equals( "pattern" )) {
				if ( value != null && value.length() > 0 ) {
					pattern = Pattern.compile( value );
				}
			} else
			if ( name.equals( "exclude" )) {
				if ( value == null || value.length() == 0 ) {
					exclude = false;
				} else
				if ( value.equals( "true" )) {
					exclude = true;
				}
			} else {
				console.error( this, "unknown param name=" + name );
			}
		}
	}

	/**
	* 指定されたログレコードが通知されるかどうかを調べます。
	*/
	public boolean isLoggable( LogRecord record ) {
		boolean ret = true;
		Matcher matcher = pattern.matcher( record.getMessage() );
		if ( matcher.matches()) {
			if ( exclude ) {
				ret = false;
			} else {
				ret = true;
			}
		} else {
			if ( exclude ) {
				ret = true;
			} else {
				ret = false;
			}
		}
		console.debug( this, "pattern=" + pattern + " exluce=" + exclude
			+ " message=" + record.getMessage()
			+ "->" + ret );
		return ret;
	}

}
