package	jp.co.sds_corp.util.net;

import java.io.FileDescriptor;
import java.io.IOException;
import java.net.InetAddress;
import java.net.SocketException;

/**
* 
*/
class PlainRawSocketImpl extends RawSocketImpl
{
	static {
		System.loadLibrary( "sdsjni" );
		socketInit();
	}

	protected synchronized void create( int proto ) throws SocketException {
		fd = new FileDescriptor();
		protocol = proto;
		socketCreate( proto );
	}

	private native static void socketInit();
	private native void socketCreate( int proto )
		throws SocketException;
	private native void socketClose();
	private native void socketSetOption( int opt, Object val )
		throws SocketException;
	private native byte[] socketGetOption( int opt ) throws SocketException;

	protected synchronized native void bind( InetAddress laddr )
		throws SocketException;
	protected synchronized native void send( RawPacket p )
		throws IOException;
	protected synchronized native void receive( RawPacket p )
		throws IOException;

	protected void close() {
		if ( fd != null ) {
			socketClose();
			fd = null;
		}
	}

	protected synchronized void finalize() {
		close();
	}

	public void setOption( int optId, Object value ) throws SocketException {
		socketSetOption( optId, value );
	}

	public Object getOption( int optId ) throws SocketException {
		return socketGetOption( optId );
	}

}
