package jp.co.sds_corp.util.log;

import java.util.logging.Level;

import jp.co.sds_corp.test.BasicTestCase;

public class ConsoleLoggerTest extends BasicTestCase
{
	static final ConsoleLogger logger = CmnLogFactory.getConsoleLogger();

	public void setUp() throws Exception {
		super.setUp();
		logger.setLevel( Level.ALL );
	}

    /**
     */
    public void testDebug1() throws Exception {
		logger.debug( this, "debug msg" );
    }

    /**
     */
    public void testDebug2() throws Exception {
		Exception ex = new Exception( "test exception" );
		logger.debug( this, "debug msg", ex );
    }

    /**
     */
    public void testDebug3() throws Exception {
		logger.debug( getClass(), "debug test msg" );
    }

    /**
     */
    public void testDebug4() throws Exception {
		logger.debug( "jp.co.smbc.aidw.package.Class" + "." + getClass().getName(), "this, debug test msg" );
    }

    /**
     */
    public void testInfo1() throws Exception {
		logger.info( this, "info msg" );
    }

    /**
     */
    public void testInfo2() throws Exception {
		Exception ex = new Exception( "test exception" );
		logger.info( this, "info msg", ex );
    }

    /**
     */
    public void testError1() throws Exception {
		logger.error( this, "error msg" );
    }

    /**
     */
    public void testError2() throws Exception {
		Exception ex1 = new Exception( "test exception1" );
		Exception ex2 = new Exception( "test exception2", ex1 );
		logger.error( this, "error msg", ex2 );
    }

    /**
     */
    public void testNull1() throws Exception {
    	Exception ex = null;
		logger.debug( this, "debug msg", ex );
		logger.info( this, "info msg", ex );
		logger.error( this, "error msg", ex );
    }

    /**
     */
    public void testNull2() throws Exception {
		logger.exception( this, null );
    }

}
