package jp.co.sds_corp.util.log;

import java.util.logging.Level;
import java.util.logging.LogManager;

import jp.co.sds_corp.test.BasicTestCase;

public class Logger2Test extends BasicTestCase
{
	static final ConsoleLogger console = CmnLogFactory.getConsoleLogger();
	static final CmnLogger logger = CmnLogFactory.getLogger();

    /**
     */
    public void testDebug1() throws Exception {
		logger.debug( this, "debug msg" );

		console.log( this, "reset LogManager" );
		LogManager manager = LogManager.getLogManager();
		manager.reset();

		System.err.println( "err msg2" );
		System.out.println( "out msg2" );
		console.log( this, "debug msg2" );
		logger.debug( this, "debug msg2" );

		logger.debug( this, "debug msg3" );
    }

    /**
     */
    public void testLoggable1() throws Exception {
		String category = "jp.co.sds_corp.sample.SampleLog";
		logger.info( category, "sample FINE=" + logger.isLoggable( category, Level.FINE ));
		logger.info( category, "sample FINER=" + logger.isLoggable( category, Level.FINER ));
		logger.info( category, "sample FINEST=" + logger.isLoggable( category, Level.FINEST ));
		logger.info( category, "INFO" );
		logger.detail( category, "FINE" );
		logger.debug( category, "FINER" );
		logger.trace( category, "FINEST" );

		String category2 = "jp.co.sds_corp.sample2.Smaple2";
		logger.info( category2, "INFO" );
		logger.detail( category2, "FINE" );
		logger.debug( category2, "FINER" );
		logger.trace( category2, "FINEST" );

		String category3 = "jp.co.sds_corp.PERF.jp.co.sds_corp.test";
		logger.info( category3, "PERF FINE=" + logger.isLoggable( this, Level.FINE ));
		logger.info( category3, "PERF FINER=" + logger.isLoggable( this, Level.FINER ));
		logger.info( category3, "PERF FINEST=" + logger.isLoggable( this, Level.FINEST ));
	}

}
